Index: tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/preferences/TreeTaggerPreferences.java
===================================================================
--- tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/preferences/TreeTaggerPreferences.java	(revision 686)
+++ tmp/org.txm.treetagger.core/src/org/txm/treetagger/core/preferences/TreeTaggerPreferences.java	(revision 687)
@@ -3,9 +3,6 @@
 
 import java.io.BufferedReader;
 import java.io.File;
-import java.io.FileNotFoundException;
-import java.io.IOException;
-import java.io.UnsupportedEncodingException;
 import java.util.Properties;
 
 import org.eclipse.core.runtime.preferences.DefaultScope;
Index: tmp/org.txm.treetaggerinstaller.rcp/src/org/txm/treetagger/preferences/TreeTaggerInstallerPreferences.java
===================================================================
--- tmp/org.txm.treetaggerinstaller.rcp/src/org/txm/treetagger/preferences/TreeTaggerInstallerPreferences.java	(revision 686)
+++ tmp/org.txm.treetaggerinstaller.rcp/src/org/txm/treetagger/preferences/TreeTaggerInstallerPreferences.java	(revision 687)
@@ -5,8 +5,15 @@
 import org.osgi.service.prefs.Preferences;
 import org.txm.core.preferences.TXMPreferences;
 
+/**
+ * 
+ * @author mdecorde
+ *
+ */
 public class TreeTaggerInstallerPreferences extends TXMPreferences {
+	
 	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(TreeTaggerInstallerPreferences.class).getSymbolicName();
+	
 	public static final String VERSION = "treetaggerinstaller.version";
 	
 	@Override
Index: tmp/org.txm.treetaggerinstaller.rcp/src/org/txm/treetagger/DoInstallStep.java
===================================================================
--- tmp/org.txm.treetaggerinstaller.rcp/src/org/txm/treetagger/DoInstallStep.java	(revision 686)
+++ tmp/org.txm.treetaggerinstaller.rcp/src/org/txm/treetagger/DoInstallStep.java	(revision 687)
@@ -12,6 +12,7 @@
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.TXMWindows;
+import org.txm.treetagger.core.preferences.TreeTaggerPreferences;
 import org.txm.treetagger.preferences.TreeTaggerInstallerPreferences;
 import org.txm.utils.BundleUtils;
 import org.txm.utils.logger.Log;
@@ -62,12 +63,12 @@
 		File OSDir = new File(treetaggerDir, os);
 		final File treetaggerModelsDir = new File(treetaggerDir, "models");
 
-		TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.TREETAGGER_INSTALL_PATH, OSDir.getAbsolutePath());
+		TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TreeTaggerPreferences.INSTALL_PATH, OSDir.getAbsolutePath());
 		
-		final String previousModelDirectoryPath = TXMPreferences.getString(TBXPreferences.TREETAGGER_MODELS_PATH, TBXPreferences.PREFERENCES_NODE);
+		final String previousModelDirectoryPath = TXMPreferences.getString(TreeTaggerPreferences.MODELS_PATH, TBXPreferences.PREFERENCES_NODE);
 		if (previousModelDirectoryPath == null) {
 			Log.info("Set TreeTagger model directory to: "+treetaggerModelsDir);
-			TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.TREETAGGER_MODELS_PATH, treetaggerModelsDir.getAbsolutePath());
+			TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TreeTaggerPreferences.MODELS_PATH, treetaggerModelsDir.getAbsolutePath());
 		} else if (previousModelDirectoryPath.equals(treetaggerModelsDir.getAbsolutePath())) {
 			// nothing to do	
 			Log.info("No change to TreeTagger model directory.");
@@ -93,24 +94,24 @@
 						boolean b = MessageDialog.openConfirm(shell, "TreeTagger model directory", "The TreeTagger model directory is already set in TXM preferences and is not empty: \n  - "+StringUtils.join(filenames, "\n  - ")+"\n\nKeep using this one ?\n("+previousModelDirectoryPath+")");
 						if (!b) {
 							Log.info("Set TreeTagger model directory to: "+treetaggerModelsDir);
-							TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.TREETAGGER_MODELS_PATH, treetaggerModelsDir.getAbsolutePath());
+							TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TreeTaggerPreferences.MODELS_PATH, treetaggerModelsDir.getAbsolutePath());
 						} else {
 							Log.info("Keep TreeTagger model directory to: "+previousModelDirectoryDirectory);
 						}
 					}
 				});
 			} else {
-				TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.TREETAGGER_MODELS_PATH, treetaggerModelsDir.getAbsolutePath());
+				TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TreeTaggerPreferences.MODELS_PATH, treetaggerModelsDir.getAbsolutePath());
 			}
 		}
 		
-		String ttdir = TXMPreferences.getString(TBXPreferences.TREETAGGER_INSTALL_PATH, TBXPreferences.PREFERENCES_NODE);
-		String ttmodeldir = TXMPreferences.getString(TBXPreferences.TREETAGGER_MODELS_PATH, TBXPreferences.PREFERENCES_NODE);
+		String ttdir = TXMPreferences.getString(TreeTaggerPreferences.INSTALL_PATH, TBXPreferences.PREFERENCES_NODE);
+		String ttmodeldir = TXMPreferences.getString(TreeTaggerPreferences.MODELS_PATH, TBXPreferences.PREFERENCES_NODE);
 		Log.warning("TreeTagger preferences set to: "+ttdir+ " and "+ttmodeldir);
 		TXMPreferences.put(TreeTaggerInstallerPreferences.PREFERENCES_NODE, TreeTaggerInstallerPreferences.VERSION, currentVersion.toString());
 		
-		//TODO: to beremoved when 0.8.0 preferences are ready 
-		TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.TREETAGGER_INSTALL_PATH, ttdir);
-		TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.TREETAGGER_MODELS_PATH, ttmodeldir);
+		//FIXME: to beremoved when 0.8.0 preferences are ready 
+		TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TreeTaggerPreferences.INSTALL_PATH, ttdir);
+		TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TreeTaggerPreferences.MODELS_PATH, ttmodeldir);
 	}
 }
Index: tmp/org.txm.treetaggerinstaller.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.treetaggerinstaller.rcp/META-INF/MANIFEST.MF	(revision 686)
+++ tmp/org.txm.treetaggerinstaller.rcp/META-INF/MANIFEST.MF	(revision 687)
@@ -1,12 +1,13 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: TreeTaggerInstaller
-Bundle-SymbolicName: TreeTaggerInstaller;singleton:=true
+Bundle-SymbolicName: org.txm.treetaggerinstaller.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-Vendor: Textometrie.org
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Require-Bundle: org.txm.rcp;bundle-version="0.7.8",
  org.txm.core;bundle-version="0.7.0",
+ org.txm.treetagger.core;bundle-version="1.0.0",
  org.eclipse.osgi,
  org.eclipse.core.runtime;bundle-version="3.0.0",
  org.eclipse.jface;bundle-version="3.10.2"
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 686)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 687)
@@ -19,14 +19,10 @@
 	public static String ProgressionDialog_13;
 	public static String ProgressionDialog_14;
 	public static String ProgressionDialog_15;
-	public static String ProgressionDialog_16;
 	public static String ProgressionDialog_17;
 	public static String ProgressionDialog_2;
 	public static String ProgressionDialog_3;
-	public static String ProgressionDialog_4;
-	public static String ProgressionDialog_5;
 	public static String ProgressionDialog_7;
-	public static String ProgressionDialog_8;
 	public static String ProgressionDialog_9;
 
 	
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 686)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 687)
@@ -29,8 +29,8 @@
 import org.txm.progression.core.chartsengine.base.ProgressionChartCreator;
 import org.txm.progression.core.chartsengine.base.Utils;
 import org.txm.progression.core.functions.Progression;
-import org.txm.rcp.RCPMessages;
 import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.SWTEditorsUtils;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
Index: tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 686)
+++ tmp/org.txm.progression.rcp/META-INF/MANIFEST.MF	(revision 687)
@@ -29,7 +29,6 @@
 Export-Package: org.txm.progression.rcp.adapters,
  org.txm.progression.rcp.chartsengine.events,
  org.txm.progression.rcp.editors,
- org.txm.progression.rcp.forms,
  org.txm.progression.rcp.handlers,
  org.txm.progression.rcp.messages,
  org.txm.progression.rcp.preferences
